.chatFooter{height:300px;width:500px;
}

.chatFooterMessages{height:300px;width:500px;
}
.chatPeople{width:1px;
}

<p>Display a list of links as a horizontal menu:</p>

<ul>
  <li><a href="/html/default.asp" target="_blank">HTML</a></li>
  <li><a href="/css/default.asp" target="_blank">CSS</a></li>
  <li><a href="/js/default.asp" target="_blank">JavaScript</a></li>
</ul>







.chatTime{height:none;width:none;
}


.chatPeople {
margin:10px;
	width:none;
	height:none;
}

.#open-chatPeople:target {
visibility: visible;
opacity: 1;
}










* {
    margin: 0;
    padding: 0;
}

.chatPeople {
    background-image: url('https://files.chat-off.com/files/3677/3236f92b8b7a1cb51900511c18933c9c.png'), url('https://files.chat-off.com/files/3677/58867a0a973940da26d59244ac281ea7.png'), url('https://files.chat-off.com/files/3677/b531aad96eecbf32c62d8dd7b0977f58.png');
    -webkit-animation: snow 20s linear infinite;
    -moz-animation: snow 20s linear infinite;
    -ms-animation: snow 20s linear infinite;
    animation: snow 20s linear infinite;
}

@keyframes snow {
    0% {background-position: 0px 0px, 0px 0px, 0px 0px;}
    100% {background-position: 500px 1000px, 400px 400px, 300px 300px;}
}

@-moz-keyframes snow {
    0% {background-position: 0px 0px, 0px 0px, 0px 0px;}
    100% {background-position: 500px 1000px, 400px 400px, 300px 300px;}
}

@-webkit-keyframes snow {
    0% {background-position: 0px 0px, 0px 0px, 0px 0px;}
    50% {background-color:#b4cfe0;}
    100% {background-position: 500px 1000px, 400px 400px, 300px 300px; background-color:#6b92b9;}
}

@-ms-keyframes snow {
    0% {background-position: 0px 0px, 0px 0px, 0px 0px;}
    100% {background-position: 500px 1000px, 400px 400px, 300px 300px;}
}




body {
   background-color: black;
   /* Webkit */
   background-image: -webkit-gradient(radial, 50% 50%, 2, 50% 50%, 40, from(white), color-stop(0.1, rgba(248,255,128,.5)), to(transparent) );
   /* Firefox */
   background-image: -moz-radial-gradient(circle, #FFFFFF 2px, rgba(248,255,128,.5) 4px, transparent 40px);
}

body {
   background-color: black;
   /* Webkit */
   background-image:
      -webkit-gradient(radial, 50% 50%, 2, 50% 50%, 40, from(white), color-stop(0.1, rgba(248,255,128,.5)), to(transparent)),
      -webkit-gradient(radial, 50% 50%, 1, 50% 50%, 30, from(white), color-stop(0.1, rgba(255,186,170,.4)), to(transparent)),
      -webkit-gradient(radial, 50% 50%, 1, 50% 50%, 40, from(rgba(255,255,255,.9)), color-stop(0.05, rgba(251,255,186,.3)), to(transparent)),
      -webkit-gradient(radial, 50% 50%, 0, 50% 50%, 30, from(rgba(255,255,255,.4)), color-stop(0.03, rgba(253,255,219,.2)), to(transparent));
   /* Firefox */
   background-image:
      -moz-radial-gradient(circle, #FFFFFF 2px, rgba(248,255,128,.5) 4px, transparent 40px),
      -moz-radial-gradient(circle, #FFFFFF 1px, rgba(255,186,170,.4) 3px, transparent 30px),
      -moz-radial-gradient(circle, rgba(255,255,255,.9) 1px, rgba(251,255,186,.3) 2px, transparent 40px),
      -moz-radial-gradient(circle, rgba(255,255,255,.4), rgba(253,255,219,.2) 1px, transparent 30px);
   /* Background images size */
   background-size: 550px 550px, 350px 350px, 250px 270px, 220px 200px;
   /* Background images position*/
   background-position: 0 0, 30px 60px, 130px 270px, 70px 150px;
}

body {
   background-color: black;
   /* Firefox */
   background-image:
      -moz-radial-gradient(circle, #FFFFFF 2px, rgba(248,255,128,.5) 4px, transparent 40px),
      -moz-radial-gradient(circle, #FFFFFF 1px, rgba(255,186,170,.4) 3px, transparent 30px),
      -moz-radial-gradient(ellipse, rgba(255,255,255,.9) 1px, rgba(251,255,186,.3) 2px, transparent 40px),
      -moz-radial-gradient(ellipse, rgba(255,255,255,.4), rgba(253,255,219,.2) 1px, transparent 30px);
   /* Webkit */
   background-image:
      -webkit-gradient(radial, 50% 50%, 2, 50% 50%, 40, from(white), color-stop(0.1, rgba(248,255,128,.5)), to(transparent)),
      -webkit-gradient(radial, 50% 50%, 1, 50% 50%, 30, from(white), color-stop(0.1, rgba(255,186,170,.4)), to(transparent)),
      -webkit-gradient(radial, 50% 50%, 1, 50% 50%, 40, from(rgba(255,255,255,.9)), color-stop(0.05, rgba(251,255,186,.3)), to(transparent)),
      -webkit-gradient(radial, 50% 50%, 0, 50% 50%, 30, from(rgba(255,255,255,.4)), color-stop(0.03, rgba(253,255,219,.2)), to(transparent));
   /* Background Attributes */
   background-size: 550px 550px, 350px 350px, 250px 270px, 220px 200px;
   background-position: 0 0, 30px 60px, 130px 270px, 70px 150px;
   /* Animation */
   animation-name: movement;
   animation-duration: 5s;
   animation-timing-function: linear;
   animation-iteration-count: infinite;
   /* Firefox */
   -moz-animation-name: movement;
   -moz-animation-duration: 5s;
   -moz-animation-timing-function: linear;
   -moz-animation-iteration-count: infinite;
   /* Webkit */
   -webkit-animation-name: movement;
   -webkit-animation-duration: 5s;
   -webkit-animation-timing-function: linear;
   -webkit-animation-iteration-count: infinite;
}
@keyframes movement
{
   from {
         background-position: 0 0, 30px 60px, 130px 270px, 70px 150px;
   }
   to {
         background-position: -550px 0, -320px 60px, -120px 270px, -150px 150px;
   }
}
@-moz-keyframes movement
{
   from {
         background-position: 0 0, 30px 60px, 130px 270px, 70px 150px;
   }
   to {
         background-position: -550px 0, -320px 60px, -120px 270px, -150px 150px;
   }
}
@-webkit-keyframes movement
{
   from {
         background-position: 0 0, 30px 60px, 130px 270px, 70px 150px;
   }
   to {
         background-position: -550px 0, -320px 60px, -120px 270px, -150px 150px;
   }
}






<div id="mycode"><!-- Это начало скрипта снег2 -->
<link rel="stylesheet" type="text/css" href="https://chat-off.com/other/style.css">
<script type="text/javascript" src="https://chat-off.com/other/rainsnow.js"></script>
<script>
$(document).ready(function() {
$('body').RainSnow({
effect_name: 'snow',
drop_appear_speed: 100,
drop_falling_speed: 7000,
wind_direction: 3,
drop_rotate_angle : '-10deg',
drop_count_width_height:[[2,2], [3,3], [4,4], [5,5], [6,6]],
drop_left_to_right : false
});
});
</script>
<!-- Это конец скрипта снег2 --> </div>


<button class="b1"><img src="https://x-lines.ru/letters/i/cyrillicdreamy/0210/2d2dcd/20/0/4njpdbqoz5eme.png"><button>

<input type="button" value=background:url{
("https://x-lines.ru/letters/i/cyrillicdreamy/0210/2d2dcd/20/0/4njpdbqoz5eme.png")}id="join-chat-button"/>
                



<style>
#aside1 { .chatFooterWrapper
  position: fixed;
  z-index: 101;
}
<style>

footer {
    font-size: .8rem;
    position: absolute;
    bottom: 10px;
    right: 10px;
}

.output {
    background: #eee;
    position: relative;
}






.chatFooter {background-image:none;}
.chatMain {background-color:#1f4143;background-position:right center;
background-position:right 0 center;
background-repeat:repeat;}
body {color:#eb995b;}
a {color:#eb2b09;}
.chatFooter .chatFooterWrapper .chatPanel div a span {border-bottom-color:#ebt447;}
.chatHeader {background-color:#1f1f1d;}
.chatTabs > ul > li.chatTab.chatTabActive > a, .chatTabs > ul > li.chatTab > a:hover, .chatTabs > ul > li.chatTab > a.active {font-size:25pt;}
.chat {border-color:#8b2fc9;}
.chatHeader {border-bottom-color:#8b2444;}
.chatHeader {color:#4aff0d;}
.chatTabs > ul > li.chatTab.chatTabActive > a, .chatTabs > ul > li.chatTab > a:hover, .chatTabs > ul > li.chatTab > a.active {color:#4ajj0d;}
.chatHeader .chatTitle {text-shadow:100px 100px 0 #d9f18c;}
.chatTabs > ul > li.chatTab > a {border:10px solid #0;
	margin:450px;
	width:1%;
	height:10%;;}
.chatHeader .chatTopLine {background-color:#060f0e}
.chatHeader .chatTopLine {border-color:#df4449;}
.chatTopLineWrapper > ul > li > a {color:#4aff0d;}
.chatTopLineWrapper > ul > li > a {text-shadow:100px 100px 0 #e1f69b;}
.chatTopLineWrapper > ul > li > a:hover {background-color:#affa2d;}
.chatTabs > ul > li.chatTab > a {style-body:100px;}o
.chatUserFrom, .chatPeople ul.chatPeopleList li a.chatUser {font-size:25pt;}
	margin:100px;
	width:300%;
	height:100px;}


.chatMessageToMe .chatToUser {border:
	margin:100px;
	width:1%;
	height:100%;;}
.chatMain, .chatFooter, .chatEventDiv, .chatPopupMenuDiv1, .chatPopupMenuDiv2, .smilesBox, .chatPeople ul.chatPeopleList li.hover {
}
.chatMain .chatMessages, .chatMain .chatPrivateMessages {font-size:105см;}
.chatTime {visibility: inherit;}</style><link href="custom.css?39" rel="stylesheet" />
    <style type="text/css">
        .chatFull .content{display:scaling-no;
            padding-top:500px;
        }
    </style>